Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBase::IntervalT_var Class Reference

`#include <TimeBaseC.h>`

Collaboration diagram for TimeBase::IntervalT_var:

[legend]
List of all members.

## Public Methods
| IntervalT_var (void)
| IntervalT_var (IntervalT *)
| IntervalT_var (const IntervalT_var &)
| IntervalT_var (const IntervalT &)
| ~IntervalT_var (void)
IntervalT_var & | operator= (IntervalT *)
IntervalT_var & | operator= (const IntervalT_var &)
IntervalT_var & | operator= (const IntervalT &)
IntervalT * | operator-> (void)
const IntervalT * | operator-> (void) const
| operator const IntervalT & () const
| operator IntervalT & ()
| operator IntervalT & () const
const IntervalT & | in (void) const
IntervalT & | inout (void)
IntervalT & | out (void)
IntervalT | _retn (void)
IntervalT * | ptr (void) const
## Private Attributes
IntervalT * | ptr_

## Constructor & Destructor Documentation

TimeBase::IntervalT_var::IntervalT_var | ( | void |  | ) |

TimeBase::IntervalT_var::IntervalT_var | ( | IntervalT * |  | ) |

TimeBase::IntervalT_var::IntervalT_var | ( | const IntervalT_var & |  | ) |

TimeBase::IntervalT_var::IntervalT_var | ( | const IntervalT & |  | ) |

TimeBase::IntervalT_var::~IntervalT_var | ( | void |  | ) |

## Member Function Documentation

IntervalT TimeBase::IntervalT_var::_retn | ( | void |  | ) |

const IntervalT& TimeBase::IntervalT_var::in | ( | void |  | ) | const

IntervalT& TimeBase::IntervalT_var::inout | ( | void |  | ) |

TimeBase::IntervalT_var::operator const IntervalT & | ( |  | ) | const

TimeBase::IntervalT_var::operator IntervalT & | ( |  | ) | const

TimeBase::IntervalT_var::operator IntervalT & | ( |  | ) |

const IntervalT* TimeBase::IntervalT_var::operator-> | ( | void |  | ) | const

IntervalT* TimeBase::IntervalT_var::operator-> | ( | void |  | ) |

IntervalT_var& TimeBase::IntervalT_var::operator= | ( | const IntervalT & |  | ) |

IntervalT_var& TimeBase::IntervalT_var::operator= | ( | const IntervalT_var & |  | ) |

IntervalT_var& TimeBase::IntervalT_var::operator= | ( | IntervalT * |  | ) |

IntervalT& TimeBase::IntervalT_var::out | ( | void |  | ) |

IntervalT* TimeBase::IntervalT_var::ptr | ( | void |  | ) | const

## Member Data Documentation

IntervalT* TimeBase::IntervalT_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- TimeBaseC.h